### Enumeration

# Gtk PrintStatus

#### Declaration

    enum Gtk.PrintStatus

#### Description [src]

The status gives a rough indication of the completion of a running print operation.

#### Members

`GTK_PRINT_STATUS_INITIAL`

  The printing has not started yet; this status is set initially, and while the print dialog is shown.

  - Value: `0`
  - Nickname: `initial`
  - Available since: 4.0
`GTK_PRINT_STATUS_PREPARING`

  This status is set while the begin-print signal is emitted and during pagination.

  - Value: `1`
  - Nickname: `preparing`
  - Available since: 4.0
`GTK_PRINT_STATUS_GENERATING_DATA`

  This status is set while the pages are being rendered.

  - Value: `2`
  - Nickname: `generating-data`
  - Available since: 4.0
`GTK_PRINT_STATUS_SENDING_DATA`

  The print job is being sent off to the printer.

  - Value: `3`
  - Nickname: `sending-data`
  - Available since: 4.0
`GTK_PRINT_STATUS_PENDING`

  The print job has been sent to the printer, but is not printed for some reason, e.g. the printer may be stopped.

  - Value: `4`
  - Nickname: `pending`
  - Available since: 4.0
`GTK_PRINT_STATUS_PENDING_ISSUE`

  Some problem has occurred during printing, e.g. a paper jam.

  - Value: `5`
  - Nickname: `pending-issue`
  - Available since: 4.0
`GTK_PRINT_STATUS_PRINTING`

  The printer is processing the print job.

  - Value: `6`
  - Nickname: `printing`
  - Available since: 4.0
`GTK_PRINT_STATUS_FINISHED`

  The printing has been completed successfully.

  - Value: `7`
  - Nickname: `finished`
  - Available since: 4.0
`GTK_PRINT_STATUS_FINISHED_ABORTED`

  The printing has been aborted.

  - Value: `8`
  - Nickname: `finished-aborted`
  - Available since: 4.0